package com.itbaizhan.servlet;

import com.itbaizhan.pojo.Users;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

@WebServlet("/find.do")
public class FindUsersServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        //创建测试数据
        Users users1=new Users(1,"xiaozhao");
        Users users2=new Users(2,"kevin");

        //实例化容器，将数据存到里面(List)
        List<Users> list=new ArrayList<>();
        list.add(users1);
        list.add(users2);

        //将list容器的数据添加到Request对象中
        req.setAttribute("list",list);

        //通过请求跳转的方式，将数据跳转到别的页面展示。
        req.getRequestDispatcher("showUsers.jsp").forward(req,resp);
    }
}
