package com.itbaizhan.servlet;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Date;

/**
 *  对日期的格式化处理,这个Servlet就是产生帮我们将要格式化的数据
 */
@WebServlet("/format.do")
public class FormatServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        //获取系统时间，并将其传递给Request。
        req.setAttribute("date",new Date());   //日期格式化
        req.setAttribute("balance",3892368890.3463);

        //实现请求转发跳转
        req.getRequestDispatcher("format.jsp").forward(req,resp);
    }
}
